function OnWarpEnter() 

	ImportAnimationWarp("3D\\cs\\Warp_0012")
	SetMarker("cs\\Warp_0211.wp" , 0 , 0) 
	AnimationSetToStart("bna1")
	AnimationSetToStart("boan", false)
	AnimationSetToStart("bdan")
--	AnimationSetToStart("bban") -> si réactivée = Nostra en double en jour 4
	--SetMarker("bna1",4,0)
	--SetMarker("bma1",4,0)
	SetMarker("StoveOpenN",4,0)
	SetMarker("cookingPotN",4,0)
	SetMarker("stove_doorN",4,0)
	
	PutObject("bpa1") -- pilon
	SetMarker("bpa1",4,0)
	PutObject("bqa1") -- pipette
	PutObject("bra1") -- petite cuillère
	StartAnimation("bva1",-1) -- bougie du bureau
	AnimationSetToStart("bla1")
	--SetMarker("bla1",4,0)
	AnimationSetToStart("bka1",true) -- bol
	SetMarker("bka1", 4, 0)
	SetMarker("VinegarN", 1, 0)
	SetMarker("WineN", 1, 0)
	SetMarker("CinnamonN", 1, 0)
	SetMarker("IronFilingsN", 1, 0)
	SetMarker("SparrowBloodN", 1, 0)
	SetMarker("MuskN", 1, 0)
	SetMarker("CloveN", 1, 0)
	SetMarker("SugarN", 1, 0)
	SetMarker("GratedNutmegN", 1, 0)
	SetMarker("IrisIllyricaN", 1, 0)
	SetMarker("beewaxN", 1, 0)
	SetMarker("oilN", 1, 0)
	if not ETAT_DAY == "D3" then
		SetMarker("SageN", 1, 0)
		SetMarker("HoneyN", 1, 0)
		SetMarker("GingerN", 1, 0)
		SetMarker("AbsintheN", 1, 0)
		SetMarker("PepperN", 1, 0)
	end
	
	if stove_state  == 0 or not stove_state then
		stove_state = 1
	end
	if stove_state == 1 then 
		StartAnimationPart("bma1", 110,111, -1, true) -- tiroir du poêle
	elseif stove_state == 2 then 
		AnimationSetToStart("bma1", true) -- tiroir du poêle
	elseif stove_state == 3 then 
		StartAnimationPart("bma1", 60, 90,-1, true) -- tiroir du poêle
	elseif stove_state == 4 then 
		StartAnimationPart("bma1", 140, 150, -1, true) -- tiroir du poêle
	end
	
	if OPEN_DESK_0013_D3 then
		AnimationSetToEnd("btan",true)
		if not PAPER_DESK_0013_D3 then
			PutObject("buan",true)
		end
	elseif not OPEN_DESK_0013_D3 then
		AnimationSetToStart("btan",true)
	end
	if not PHIAL_AMBERGRIS_TAKEN then
		PutObject("bja1",true)
	end
	
	if ETAT_DAY == "D2" then 
		if not O_recipes_212  then
			PutObject("bya1")
			SetMarker("bya1",2,0)
		end
		if not BeenIn_212 then
			pelter = 0
			BeenIn_212 = true
		end
		AnimationSetToStart("bka1",true)
		AnimationSetToStart("bla1")
		PutObject("bpa1")
		PutObject("bqa1")
		PutObject("bra1")
		AnimationSetToStart("bna1")
		StartAnimation("bva1")
		SetMarker("bla1", 4, 0)
		SetMarker("bka1", 4, 0)
		SetMarker("bpa1", 4, 0)
		stove_open = false
	end 
	
	if ETAT_DAY == "D3" then 
		SetMarker("cs\\Warp_0213.wp" , 0 , 0) 
		stove_open = false
	end 
	
	if ETAT_DAY == "D4" then 
		SetMarker("EucalyptusN", 1, 0)
		if not PuzzlePlanetSolved then
			AnimationSetToStart("baan")
		end	
	end 
	
	if stove_open then 
		StartAnimationPart("bna1", 60, 90, -1, true) -- poignée du poêle
	else
		AnimationSetToStart("bna1") -- poignée du poêle
	end
	
end

function OnWarpLeave()
end

function OnNotPelter(id)

	pelter = id
	if pelter == 13 then
		StartAnimationPart("bka1",12,13,-1,true)		
	elseif pelter == 11 then
		StartAnimationPart("bka1",6,7,-1,true)
	elseif pelter == 3 then
		StartAnimationPart("bka1",16,17,-1,true)
	end
	
end

function OnAnimationFinished(objectName)

	if objectName == "bla1" then
		AnimationSetToStart("bka1", true)
		StartAnimationPart("bla1", 40, 60, -1) -- pot
		if AphrodisiacReady then
			AphrodisiacHeated = true
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		end
	end
	if AnimName == "bma1" and stove_state == 3 then 
		AnimationSetToStart("bna1") -- tiroir du poêle
		StartAnimationPart("bma1", 60, 90, -1, true)
	end
	
end

function OnDialogFinished(dialogName)

end

function OnAskToResetOrAddIngredientAnswered(cooking, ingredient, response)

	PrintDebugMessage("OnAskToResetOrAddIngredientAnswered("..cooking..", "..ingredient..", "..response..")\n")

-- Vin de sauge et poudre d'hypnose
	if ETAT_DAY == "D2" then 
		if response == "reset" then
			if WineReady then
				DrawText("Ma1115","Ma1115.ogg",0) -- Pas question, cette marmite contient des ingrédients trop rares.
			else
				ResetIngredients("cooking4")
				ResetIngredients("cooking5")
				HypnosisReady = false
				OnCooking4 = false
				OnCooking5 = false
			end
		elseif response == "add" then
			if ingredient == "Wine" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "Wine")
				elseif OnCooking5 then
					AddIngredient("cooking5", "Wine")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "Wine")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "Wine")
					OnCooking5 = true
				end
			elseif ingredient == "Sage" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "Sage")
				elseif OnCooking5 then
					AddIngredient("cooking5", "Sage")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "Sage")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "Sage")
					OnCooking5 = true
				end
			elseif ingredient == "Cinnamon" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "Cinnamon")
				elseif OnCooking5 then
					AddIngredient("cooking5", "Cinnamon")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "Cinnamon")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "Cinnamon")
					OnCooking5 = true
				end
			elseif ingredient == "Pepper" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "Pepper")
				elseif OnCooking5 then
					AddIngredient("cooking5", "Pepper")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "Pepper")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "Pepper")
					OnCooking5 = true
				end
			elseif ingredient == "Ginger" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "Ginger")
				elseif OnCooking5 then
					AddIngredient("cooking5", "Ginger")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "Ginger")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "Ginger")
					OnCooking5 = true
				end
			elseif ingredient == "Honey" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "Honey")
				elseif OnCooking5 then
					AddIngredient("cooking5", "Honey")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "Honey")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "Honey")
					OnCooking5 = true
				end
			elseif ingredient == "B_racine_mandragore" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				AddIngredient("cooking4", "B_racine_mandragore")
				AnimationSetToStart("bka1",true)
				pelter = 0
				DrawText("Ma1101", "Ma1101.ogg", 0) -- Ça doit être prêt.
				OnCooking4 = false
				MandrakeOnBowl = false
				MandrakeReady = false
			elseif ingredient == "B_chelidoine" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0	
				AnimationSetToStart("bka1")
				ChelidoineOnBowl = false
				ChelidoineReady = false
				if OnCooking4 then
					AddIngredient("cooking4", "B_chelidoine")
				else
					AddIngredient("cooking5", "B_chelidoine")
					ResetIngredientsToTest()
					PushIngredientToTest("Absinthe")
					PushIngredientToTest("B_chelidoine")
					PushIngredientToTest("B_fenugrec")
					if CheckCookingFinished("cooking5") then
						HypnosisReady = true
						DrawText("Ma1103","Ma1103.ogg",0) -- Parfait ! Je crois que j'y suis.
					end
				end
			elseif ingredient == "B_fenugrec" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AnimationSetToStart("bka1")
				FenugreekOnBowl = false
				FenugrecReady = false
				if OnCooking4 then
					AddIngredient("cooking4", "B_fenugrec")
				else
					AddIngredient("cooking5", "B_fenugrec")
					ResetIngredientsToTest()
					PushIngredientToTest("Absinthe")
					PushIngredientToTest("B_chelidoine")
					PushIngredientToTest("B_fenugrec")
					if CheckCookingFinished("cooking5") then
						HypnosisReady = true
						DrawText("Ma1103","Ma1103.ogg",0) -- Parfait ! Je crois que j'y suis.
					end
				end
			elseif ingredient == "Absinthe" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "Absinthe")
				else
					AddIngredient("cooking5", "Absinthe")
					ResetIngredientsToTest()
					PushIngredientToTest("Absinthe")
					PushIngredientToTest("B_chelidoine")
					PushIngredientToTest("B_fenugrec")
					if CheckCookingFinished("cooking5") then
						HypnosisReady = true
						DrawText("Ma1103","Ma1103.ogg",0) -- Parfait ! Je crois que j'y suis.
					end
				end
			elseif ingredient == "beewax" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "beewax")
				elseif OnCooking5 then
					AddIngredient("cooking5", "beewax")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "beewax")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "beewax")
					OnCooking5 = true
				end
			elseif ingredient == "oil" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "oil")
				elseif OnCooking5 then
					AddIngredient("cooking5", "oil")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "oil")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "oil")
					OnCooking5 = true
				end
			elseif ingredient == "Vinegar" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking4 then
					AddIngredient("cooking4", "Vinegar")
				elseif OnCooking5 then
					AddIngredient("cooking5", "Vinegar")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "Vinegar")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "Vinegar")
					OnCooking5 = true
				end
			elseif ingredient == "A_argile" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AnimationSetToStart("bka1")
				ClayOnBowl = false
				ClayReady = false
				if OnCooking4 then
					AddIngredient("cooking4", "A_argile")
				elseif OnCooking5 then
					AddIngredient("cooking5", "A_argile")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "A_argile")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "A_argile")
					OnCooking5 = true
				end
			elseif ingredient == "A_ail" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AnimationSetToStart("bka1")
				GarlicOnBowl = false
				GarlicReady = false
				if OnCooking4 then
					AddIngredient("cooking4", "A_ail")
				elseif OnCooking5 then
					AddIngredient("cooking5", "A_ail")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "A_ail")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "A_ail")
					OnCooking5 = true
				end
			elseif ingredient == "B_bois_cypres" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AnimationSetToStart("bka1")
				CypressOnBowl = false
				CypressReady = false
				if OnCooking4 then
					AddIngredient("cooking4", "B_bois_cypres")
				elseif OnCooking5 then
					AddIngredient("cooking5", "B_bois_cypres")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "B_bois_cypres")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "B_bois_cypres")
					OnCooking5 = true
				end
			elseif ingredient == "B_aloes" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AnimationSetToStart("bka1")
				AloeOnBowl = false
				AloeReady = false
				if OnCooking4 then
					AddIngredient("cooking4", "B_aloes")
				elseif OnCooking5 then
					AddIngredient("cooking5", "B_aloes")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "B_aloes")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "B_aloes")
					OnCooking5 = true
				end
			elseif ingredient == "B_iris_florence" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AnimationSetToStart("bka1")
				IrisOnBowl = false
				IrisReady = false
				if OnCooking4 then
					AddIngredient("cooking4", "B_iris_florence")
				elseif OnCooking5 then
					AddIngredient("cooking5", "B_iris_florence")
				elseif not OnCooking4 and not OnCooking5 and not SageWine_212 then
					AddIngredient("cooking4", "B_iris_florence")
					OnCooking4 = true
				elseif not OnCooking4 and not OnCooking5 and SageWine_212 then
					AddIngredient("cooking5", "B_iris_florence")
					OnCooking5 = true
				end
			end
		end
	end
	
-- Aphrodisiaque	
	if ETAT_DAY == "D3" then 
		if response == "reset" then
			if AphrodisiacReady or AppleOnPot or AmberOnPot then
				DrawText("Ma1115","Ma1115.ogg",0) -- Pas question, cette marmite contient des ingrédients trop rares.
			else
				ResetIngredients("cooking7")
				AphrodisiacNearlyReady = false
				OnCooking7 = false
			end
		elseif response == "add" then
			if ingredient == "Wine" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Wine")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "Wine")
					OnCooking7 = true
				end
			elseif ingredient == "Sage" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Sage")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "Sage")
					OnCooking7 = true
				end			
			elseif ingredient == "Cinnamon" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Cinnamon")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "Cinnamon")
					OnCooking7 = true
				end
			elseif ingredient == "Pepper" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Pepper")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "Pepper")
					OnCooking7 = true
				end
			elseif ingredient == "Ginger" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Ginger")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "Ginger")
					OnCooking7 = true
				end
			elseif ingredient == "Honey" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Honey")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "Honey")
					OnCooking7 = true
				end
			elseif ingredient == "B_chelidoine" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				ChelidoineOnBowl = false
				ChelidoineReady = false
				if OnCooking7 then
					AddIngredient("cooking7", "B_chelidoine")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "B_chelidoine")
					OnCooking7 = true
				end
			elseif ingredient == "B_fenugrec" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				FenugrecOnBowl = false
				FenugrecReady = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "B_fenugrec")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "B_fenugrec")
					OnCooking7 = true
				end
			elseif ingredient == "Absinthe" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Absinthe")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "Absinthe")
					OnCooking7 = true
				end
			elseif ingredient == "beewax" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "beewax")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "beewax")
					OnCooking7 = true
				end
			elseif ingredient == "SparrowBlood" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "SparrowBlood")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "SparrowBlood")
					OnCooking7 = true
				end
			elseif ingredient == "IronFilings" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "IronFilings")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "IronFilings")
					OnCooking7 = true
				end
			elseif ingredient == "Musk" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Musk")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "Musk")
					OnCooking7 = true
				end
			elseif ingredient == "Cloves" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Cloves")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "Cloves")
					OnCooking7 = true
				end
			elseif ingredient == "Sugar" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Sugar")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "Sugar")
					OnCooking7 = true
				end
			elseif ingredient == "GratedNutmeg" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "GratedNutmeg")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "GratedNutmeg")
					OnCooking7 = true
				end
			elseif ingredient == "IrisIllyrica" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "IrisIllyrica")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "IrisIllyrica")
					OnCooking7 = true
				end
			elseif ingredient == "oil" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "oil")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "oil")
					OnCooking7 = true
				end	
			elseif ingredient == "Vinegar" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "Vinegar")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "Vinegar")
					OnCooking7 = true
				end
			elseif ingredient == "A_argile" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				ClayOnBowl = false
				ClayReady = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "A_argile")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "A_argile")
					OnCooking7 = true
				end
			elseif ingredient == "A_ail" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				GarlicOnBowl = false
				GarlicReadyl = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "A_ail")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "A_ail")
					OnCooking7 = true
				end
			elseif ingredient == "B_bois_cypres" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				CypressOnBowl = false
				CypressReady = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "B_bois_cypres")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "B_bois_cypres")
					OnCooking7 = true
				end
			elseif ingredient == "B_aloes" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				pelter = 0
				AloeOnBowl = false
				AloeReady = false
				AnimationSetToStart("bka1")
				if OnCooking7 then
					AddIngredient("cooking7", "B_aloes")
					ResetIngredientsToTest()
					PushIngredientToTest("Wine")
					PushIngredientToTest("IronFilings")
					PushIngredientToTest("SparrowBlood")
					PushIngredientToTest("Musk")
					PushIngredientToTest("Cinnamon")
					PushIngredientToTest("Cloves")
					PushIngredientToTest("Sugar")
					PushIngredientToTest("B_aloes")
					PushIngredientToTest("GratedNutmeg")
					PushIngredientToTest("IrisIllyrica")
					if CheckCookingFinished("cooking7") then
						AphrodisiacNearlyReady = true
					end
				elseif not OnCooking7 then
					AddIngredient("cooking7", "B_aloes")
					OnCooking7 = true
				end
			elseif ingredient == "B_iris_florence" then
				pelter = 0
				IrisOnBowl = false
				IrisReady = false
				AnimationSetToStart("bka1")
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				if OnCooking7 then
					AddIngredient("cooking7", "B_iris_florence")
				elseif not OnCooking7 and not Aphrodisiac_212 then
					AddIngredient("cooking7", "B_iris_florence")
					OnCooking7 = true
				end
			elseif ingredient == "B_pommes_mandragore" then
					RemoveFromBag("B_pommes_mandragore")
					RemoveFromBag()
					PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
					AppleOnPot = true
					if AmberOnPot  then
						AphrodisiacReady = true
						DrawText("Ma1103","Ma1103.ogg",0) -- Parfait ! Je crois que j'y suis.
						if(stove_state == 4) then
							StartAnimationPart("bla1", 10, 64, 1,  true)
						end
					end
			elseif ingredient == "A_ambre_gris" then
					RemoveFromBag("A_ambre_gris")
					RemoveFromBag()
					PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
					AmberOnPot = true
					if AppleOnPot  then
						AphrodisiacReady = true
						DrawText("Ma1103","Ma1103.ogg",0) -- Parfait ! Je crois que j'y suis.
						if(stove_state == 4) then
							StartAnimationPart("bla1", 10, 64, 1,  true)
						end
					end
			elseif ingredient == "A_bouteille_eau" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				RemoveFromBag("A_bouteille_eau")
				if OnCooking7 then
					AddIngredient("cooking7", "A_bouteille_eau")						
				else
					AddIngredient("cooking7", "A_bouteille_eau")
					OnCooking7 = true
				end
			end
		end
	end
		
-- Tisane		
	if ETAT_DAY == "D4" then
		if response == "reset" then
			ResetIngredients("cooking8")
			OnCooking8 = false
		elseif response == "add" then
			if ingredient == "Wine" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				AddIngredient("cooking8", "Wine")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "Sage" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				AddIngredient("cooking8", "Sage")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "Cinnamon" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				AddIngredient("cooking8", "Cinnamon")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "Pepper" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				AddIngredient("cooking8", "Pepper")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "Ginger" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				AddIngredient("cooking8", "Ginger")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "Honey" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				AddIngredient("cooking8", "Honey")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "Absinthe" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				AddIngredient("cooking8", "Absinthe")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "beewax" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				AddIngredient("cooking8", "beewax")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "oil" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				AddIngredient("cooking8", "oil")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "Vinegar" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				AddIngredient("cooking8", "Vinegar")
				if not OnCooking8 then
					OnCooking8 = true
				end
			elseif ingredient == "Eucalyptus" then
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				AddIngredient("cooking8", "Eucalyptus")
				if not OnCooking8 then
					OnCooking8 = true
				end
				ResetIngredientsToTest()
				PushIngredientToTest("Eucalyptus")
				PushIngredientToTest("A_bouteille_eau")
				if CheckCookingFinished("cooking8") then
					TisaneReady = true
					DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
				end
			elseif ingredient == "A_bouteille_eau" then
				PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
				AddIngredient("cooking8", "A_bouteille_eau")
				if not OnCooking8 then
					OnCooking8 = true
				end
				ResetIngredientsToTest()
				PushIngredientToTest("Eucalyptus")
				PushIngredientToTest("A_bouteille_eau")
				if CheckCookingFinished("cooking8") then
					TisaneReady = true
					DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
				end
			end
		end		
	end

end

function OnWarpObjectHit(objectName)
	PrintDebugMessage(objectName)

	if objectName == "3D\\cs\\Warp_0211.wp" then 
		ChangeWarp(objectName)
	end
	if ETAT_DAY == "D3" and objectName == "3D\\cs\\Warp_0213.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\StoveOpenN" and stove_state >= 3 then
		if not stove_open and AphrodisiacReady and not Aphrodisiac_212 then
			stove_open = true
			SetMarker("StoveOpenN", -1, 0)
			StartAnimationPart("bna1", 1, 14, 1, true)
			StartAnimationPart("bma1", 140, 150, -1, true)
			StartAnimationPart("bla1", 10, 64, 1,  true)		
		--[[else
			SetMarker("Vinegar", -1, 0)
			SetMarker("beewax", -1, 0)
			SetMarker("oil", -1, 0)
			SetMarker("Sage", -1, 0)
			SetMarker("Wine", -1, 0)
			SetMarker("bka1", -1, 0)
			SetMarker("StoveOpenN", -1, 0)
			SetMarker("bpa1", -1, 0)
			SetMarker("stove_door", -1, 0)
			SetMarker("cookingPot", -1, 0)
			SetMarker("Musk", -1, 0)
			SetMarker("Cloves", -1, 0)
			SetMarker("Rose", -1, 0)
			SetMarker("Sugar", -1, 0)
			SetMarker("Eucalyptus", -1, 0)
			SetMarker("IrisIllyrica", -1, 0)
			SetMarker("GratedNutmeg", -1, 0)
			SetMarker("SparrowBlood", -1, 0)
			SetMarker("IronFilings", -1, 0)
			SetMarker("Cinnamon", -1, 0)
			DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.]]
		end
	end

	
	if objectName == "3D\\stove_doorN" then -- tiroir du poêle
		if stove_state == 1 then 
			stove_state = 2
			RemoveObject("bma1")
			AnimationSetToStart("bna1")
			AnimationSetToStart("bma1")
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
		elseif stove_state == 2 then 
			if Selected("A_briquet") then
				RemoveObject("bma1")
				stove_state = 3
				AnimationSetToStart("bna1")
				StartAnimationPart("bma1", 50, 90, 1, true)
				PlaySound("Sounds/SFX/E_bo_feu_SAllume.ogg",1)
			else
				RemoveObject("bma1")
				AnimationSetToStart("bna1")
				StartAnimationPart("bma1", 110, 111, -1, true)
				PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
				stove_state = 1
			end
		elseif stove_state == 3 then
			RemoveObject("bma1")
			AnimationSetToStart("bna1")
			StartAnimationPart("bma1", 140, 150, -1, true)
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
			stove_state = 4 
		elseif stove_state == 4 then 
			RemoveObject("bma1")			
			AnimationSetToStart("bna1")
			StartAnimationPart("bma1", 60, 90,-1, true)
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
			stove_state = 3
		else 
			RemoveObject("bma1")
			AnimationSetToStart("bna1")
			stove_state = 2
			StartAnimationPart("bma1", 2, 3, -1, true)
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
		end
	end
	
	--[[if objectName == "3D\\stove_doorN" then
		if stove_state == 1 then 
			stove_state = 2
			AnimationSetToStart("bma1") -- tiroir du poêle
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
		elseif stove_state == 2 then 
			if Selected("A_briquet") then
				stove_state = 3
				StartAnimationPart("bma1", 50, 90, 1, true) -- tiroir du poêle
				PlaySound("Sounds/SFX/E_bo_feu_SAllume.ogg",1)
			else
				StartAnimationPart("bma1", 110, 111, -1, true) -- tiroir du poêle
				PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
				stove_state = 1
			end
		elseif stove_state == 3 then 
			StartAnimationPart("bma1", 140, 150, -1, true) -- tiroir du poêle
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
			 stove_state = 4 
		elseif stove_state == 4 then 
			StartAnimationPart("bma1", 60, 90,-1, true) -- tiroir du poêle
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
			stove_state = 3
		else 
			stove_state = 2
			StartAnimationPart("bma1", 2, 3, -1, true) -- tiroir du poêle
			PlaySound("Sounds/SFX/N_FermeturePoele.ogg",1)
		end
	end]]

	if objectName == "3D\\AbsintheN" then 
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "Absinthe");			
		elseif ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking6", "Absinthe");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Absinthe");
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "Absinthe");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "Absinthe");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking5", "Absinthe");
		end
	end

	if objectName == "3D\\WineN" then
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "Wine");
		elseif ETAT_DAY == "D3"  then
			AskToResetOrAddIngredient("cooking6", "Wine");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Wine");
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "Wine");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "Wine");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking4", "Wine");
		end
	end

	if objectName == "3D\\SageN" then 
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "Sage");			
		elseif ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking6", "Sage");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Sage");			
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "Sage");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "Sage");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking4", "Sage");
		end
	end

	if objectName == "3D\\beewaxN" then   
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "beewax");			
		elseif ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking6", "beewax");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "beewax");			
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "beewax");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "beewax");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking4", "beewax");
		end
	end

	if objectName == "3D\\oilN" then 
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "oil");			
		elseif ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking6", "oil");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "oil");			
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "oil");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "oil");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking4", "oil");
		end
	end

	if objectName == "3D\\VinegarN" then 
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "Vinegar");			
		elseif ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking6", "Vinegar");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Vinegar");
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "Vinegar");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "Vinegar");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking4", "Vinegar");
		end
	end

	if objectName == "3D\\CinnamonN"  then
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "Cinnamon");
		elseif ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking6", "Cinnamon");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Cinnamon");			
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "Cinnamon");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "Cinnamon");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking4", "Cinnamon");
		end
	end

	if  objectName == "3D\\PepperN"  then
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "Pepper");			
		elseif ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking6", "Pepper");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Pepper");			
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "Pepper");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "Pepper");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking4", "Pepper");
		end
	end

	if  objectName == "3D\\GingerN"  then
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "Ginger");			
		elseif ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking6", "Ginger");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Ginger");
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "Ginger");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "Ginger");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking4", "Ginger");
		end
	end

	if  objectName == "3D\\HoneyN"  then
		if (ETAT_DAY == "D3" and Aphrodisiac_212 ) or (ETAT_DAY == "D2" and SageWine_212 and IncencePowder_212) then
			DrawText("Ma0216","Ma0216.ogg",0) -- Plus besoin de faire ça.
		elseif (ETAT_DAY == "D2" and HypnosisReady and not IncencePowder_212) or (ETAT_DAY == "D2" and not SageWine_212 and WineReady) then
			DrawText("Ma1101","Ma1101.ogg",0) -- Ça doit être prêt.
		elseif ETAT_DAY == "D3" and OnCooking7 then
			AskToResetOrAddIngredient("cooking7", "Honey");			
		elseif ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking6", "Honey");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Honey");			
		elseif ETAT_DAY == "D2" and OnCooking4  then
			AskToResetOrAddIngredient("cooking4", "Honey");
		elseif ETAT_DAY == "D2" and OnCooking5 then
			AskToResetOrAddIngredient("cooking5", "Honey");
		elseif ETAT_DAY == "D2" and not OnCooking5 and not OnCooking4 then
			AskToResetOrAddIngredient("cooking4", "Honey");
		end
	end

	if  objectName == "3D\\IronFilingsN"  then
		if ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking7", "IronFilings");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "IronFilings");			
		end
	end

	if  objectName == "3D\\SparrowBloodN"  then
		if ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking7", "SparrowBlood");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "SparrowBlood");
			end
	end

	if  objectName == "3D\\MuskN"  then
		if ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking7", "Musk");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Musk");
		end
	end

	if  objectName == "3D\\CloveN"  then
		if ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking7", "Cloves");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Cloves");			
		end
	end

	if  objectName == "3D\\SugarN"  then
		if ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking7", "Sugar");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Sugar");			
		end
	end

	if  objectName == "3D\\GratedNutmegN"  then
		if ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking7", "GratedNutmeg");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "GratedNutmeg");			
		end
	end

	if  objectName == "3D\\IrisIllyricaN"  then
		if ETAT_DAY == "D3" then
			AskToResetOrAddIngredient("cooking7", "IrisIllyrica");
		elseif ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "IrisIllyrica");			
		end
	end
	
	if objectName == "3D\\EucalyptusN"  then
		if ETAT_DAY == "D4" then
			AskToResetOrAddIngredient("cooking8", "Eucalyptus");			
		end
	end


	if ETAT_DAY == "D3" then

		if objectName == "bka1" then -- bol
			if Selected("B_aloes") then
				RemoveFromBag()
				PlaySound("Sounds/SFX/N_PoserArgileMortier.ogg",1)
				StartAnimationPart("bka1",9,10,-1,true)
				AloeOnBowl = true
			elseif AloeOnBowl and AloeReady then
				if OnCooking7 then
					AskToResetOrAddIngredient("cooking7", "B_aloes");
				else
					AskToResetOrAddIngredient("cooking7", "B_aloes");
					OnCooking7 = true
				end	
			else
				DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
			end
		end

		if objectName == "bpa1" then -- Pilon
			if AloeOnBowl and not AloeReady then
				PlaySound("Sounds/SFX/N_EcraserArgile.ogg",1)
				StartAnimationPart("bka1",10,11,-1,true)
				AloeReady = true
			else
				DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
			end
		end

		if objectName == "3D\\cookingPotN" then -- Cooking Pot
			if Selected("A_bouteille_eau") and not Aphrodisiac_212 then
				AskToResetOrAddIngredient("cooking7", "A_bouteille_eau");
			end
			if AphrodisiacHeated and not Aphrodisiac_212 then
				if Selected("A_recipient") then
					PlaySound("Sounds/SFX/N_RemplirRecipientEau.ogg",1)
					AddToBag("A_aphrodisiaque")	
					ResetIngredients("cooking7")
					AphrodisiacReady = false
					Aphrodisiac_212 = true
					OnCooking7 = false
				else
					DrawText("Ma0211","Ma0211.ogg",0) -- Il faudrait un récipient.
				end
			elseif AphrodisiacNearlyReady then
				if Selected("B_pommes_mandragore") then
					AskToResetOrAddIngredient("cooking7", "B_pommes_mandragore");
				elseif Selected("A_ambre_gris") then
					AskToResetOrAddIngredient("cooking7", "A_ambre_gris");
				else
					AskToResetOrAddIngredient("cooking7");	
				end
			elseif not AphrodisiacNearlyReady and (Selected("A_ambre_gris") or Selected("B_pommes_mandragore")) then
				DrawText("Ma1088", "Ma1088.ogg",0) -- Cet ingrédient est trop précieux pour l'utiliser sans savoir quoi en faire.
			else
				AskToResetOrAddIngredient("cooking7");				
--				DrawText("Ma1087", "Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant…
			end
		end
	end
end
